pldd(1)

BEZEICHNUNG
pldd - In einen Prozess gelinkte dynamische Laufzeitbibliotheken anzeigen

ÜBERSICHT
pldd PID
pldd Option

BESCHREIBUNG
Der Befehl pldd zeigt eine Liste von dynamischen Laufzeitbibliotheken (DSOs) an, die in den Prozess mit der angegebenen Kennung (PID) gelinkt sind. Die Liste enthält die Bibliotheken, die dynamisch mittels dlopen(3) geladen wurden.

OPTIONEN

--help
-?
    Zeigt eine Hilfenachricht an und beendet sich.

--usage
    Zeigt eine kurze Gebrauchsinformation und beendet sich.

--version
-V
    Zeigt Programmversionsinformationen an und beendet sich.

EXIT-STATUS
Im Erfolgsfall beendet sich pldd mit dem Status 0. Falls der angegebene Prozess nicht existiert, der Benutzer keine Berechtigungen zum Zugriff auf die dynamische Laufzeitbibliothek hat oder keine Befehlszeilenargumente übergeben wurden, beendet sich pldd mit einem Status 1. Falls eine ungültige Option angegeben wird, beendet es sich mit dem Status 64.

VERSIONEN
Einige andere Systeme haben einen ähnlichen Befehl.

STANDARDS
Keine.

GESCHICHTE
Glibc 2.15.

ANMERKUNGEN
Der Befehl

    lsof -p PID

zeigt auch die Ausgabe, die die dynamischen Laufzeitbibliotheken enthält, die in einen Prozess gelinkt sind.

Der Befehl info shared von gdb(1) zeigt auch die Laufzeitbibliotheken an, die von einem Prozess verwandt werden, so dass Sie damit eine ähnliche Ausgabe wie pldd erhalten können, wenn Sie einen Befehl der folgenden Art verwenden (um einen Prozess mit der angegebenen pid zu überwachen):

    $ gdb -ex "set confirm off" \
    -ex "set height 0" \
    -ex "info shared" \
    -ex "quit" \
    -p $pid \
    | grep '^0x.*0x';

FEHLER
Von Glibc 2.19 bis Glibc 2.29 war pldd defekt: bei der Ausführung hing es einfach. Das Problem wurde in Glibc 2.30 behoben und die Korrektur wurde in einigen Distributionen auf ältere Glibc-Versionen zurückportiert.

BEISPIELE
    $ echo $$               # PID der Shell anzeigen
    1143
    $ pldd $$               # DSOs anzeigen, die in die Shell gelinkt sind
    1143:   /usr/bin/bash
    linux-vdso.so.1
    /lib64/libtinfo.so.5
    /lib64/libdl.so.2
    /lib64/libc.so.6
    /lib64/ld-linux-x86-64.so.2
    /lib64/libnss_files.so.2

SIEHE AUCH
ldd(1), lsof(1), dlopen(3), ld.so(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.